package cn.axzo.workflow.core.common.utils;

import org.springframework.lang.Nullable;

import java.util.Map;

public class SpringContextUtils {

    private static SpringContextUtils.SpringContext springContext;

    public SpringContextUtils(SpringContextUtils.SpringContext springContext) {
        SpringContextUtils.springContext = springContext;
    }

    public static <T> T getBean(Class<T> clazz) {
        return springContext.getBean(clazz);
    }

    public static <T> Map<String, T> getBeansOfType(@Nullable Class<T> type) {
        return springContext.getBeansOfType(type);
    }

    public interface SpringContext {
        <T> T getBean(Class<T> var1);

        <T> Map<String, T> getBeansOfType(@Nullable Class<T> type);
    }
}
